# Contributing to GigaSOM

:+1::tada: Thanks for taking the time to contribute to [GigaSOM.jl](https://github.com/LCSB-BioCore/GigaSOM.jl)! :tada::+1:

## How can I contribute?

A complete technical guide on how to get started contributing is given [here](https://lcsb-biocore.github.io/GigaSOM.jl/stable/howToContribute/).

## How to report a bug or suggest an enhancement

Please use the [GitHub issue tracker](https://github.com/LCSB-BioCore/GigaSOM.jl/issues) to report any problems with the software, and discuss any potential questions about GigaSOM use.

Before creating bug reports, please check [the open
issues](https://github.com/LCSB-BioCore/GigaSOM.jl/issues) as you might find
out that you don't need to create one. When you are creating a bug report,
please include as many details as possible. Fill out the required template, the
information it asks for helps us resolve issues faster.

> If you find a Closed issue that seems like it is the same thing that
  you're experiencing, open a new issue and include a link to the original issue
  in the body of your new one.

If reporting issues, please do not forget to include a description of conditions under which the issue occurs; preferably a code snippet that can be run separately (sometimes termed "minimal crashing example").

## How to submit a pull request (PR)?

Please follow these steps to have your contribution considered by the maintainers:

1. Follow all instructions in the template
2. Submit your pull request against the `develop` branch
3. After you submit your pull request, verify that all status checks are passing

After you submitted a pull request, a label might be assigned that allows us
to track and manage issues and pull requests.